WinDom: _config Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Class Hierarchy
- Data Fields

# _config Struct Reference

configuration of windom applications More...

`#include <globals.h>`

## Data Fields
unsigned short | flag
| various flags (bitmap variable)
short | wicon
| set the width of iconified windows
short | hicon
| set the height of iconified windows
short | bgcolor
| set the default background color of a window drawn by mt_WindClear()
short | bgpatt
| set the default background pattern of a window drawn by mt_WindClear()
short | bgstyle
| set the default background style of a window drawn by mt_WindClear()
short | key_color
| set the color of keyboard shortcuts
ATTRIB | string
| configures the look of WinDom simple object string: underlined text, boxtitle and popup label
ATTRIB | button
| configures the look of WinDom button (extended objects).
ATTRIB | exit
| configures the look of WinDom exit button (default buttons in formulars).
ATTRIB | title
| configures the look of WinDom menu items/title objects
ATTRIB | xedit_text
| configures the look of WinDom XEDIT objects (editable part of the object)
ATTRIB | xedit_label
| configures the look of WinDom XEDIT objects (label part of the object)
short | xedit_curs_color
| configures the color of the cursor of XEDIT objects
ATTRIB | xlongedit
| Equivalent to the the configuration file variable windom.xlongedit.
short | xlgedt_smlfnt
| Equivalent to the the configuration file variable windom.xlongedit.smallsize.
ATTRIB | xtedinfo
| Equivalent to the the configuration file variable windom.xtedinfo.
short | xtdinf_smlfnt
| Equivalent to the the configuration file variable windom.xtedinfo.smallsize.
short | actmono
| configures the color used to draw the object with a relief effect when the screen is monochrome (actually for resolution with less than 16 color).
short | actcol
| configures the color used to draw the object with a relief effect when the screen supports 16 colors or more.
short | menu_effect
| configures the flashing effect when the user selects an item in a window menu
ATTRIB | bubble
| configures the fonts used in bubble GEM
short | popcolor
| define the menu popup background color
short | popborder
| define the menu popup border size Equivalent to the the configuration file variable windom.popup.border
short | popfcolor
| define the color of menu popup frame
short | poppatt
| defines the AES pattern of menu popup background
short | popwind
| Equivalent to the the configuration file variable windom.popup.window.
short | wcenter
| define how windows and formulars are centered
short | weffect
| Equivalent to the the configuration file variable windom.window.effect.
short | mwidget
| Equivalent to the the configuration file variable windom.mform.widget.
short | fwidsize
| Equivalent to the the configuration file variable windom.frame.widget.size.
char * | udlib_filenames
| Equivalent to the the configuration file variable windom.userdef.list.tos or windom.userdef.list depending on MonoTOS is detected or not.

## Detailed Description

configuration of windom applications

This structure is private (not accessible for programmer of application). If you want to change a config data, you should use mt_ApplSet() or ask the user to modify its windom configuration file.

## Field Documentation

short _config::actcol

| configures the color used to draw the object with a relief effect when the screen supports 16 colors or more. Equivalent to the the configuration file variable windom.relief.color see _config::actmono for details The default value is LWHITE

short _config::actmono

| configures the color used to draw the object with a relief effect when the screen is monochrome (actually for resolution with less than 16 color). As the resolution is monochrome, WinDom uses an AES motif style. Equivalent to the the configuration file variable windom.relief.mono
    mt_ApplSet(app,APS_3DEFFECT,mono,col,0,0) // windom.relief.mono = mono
                                              // windom.relief.color = col
This parameter _config::actmono contains the parameters mono. The parameter _config::actcol contains the parameters col. The default value is 0

short _config::bgcolor

| set the default background color of a window drawn by mt_WindClear() Equivalent to the the configuration file variable windom.window.bg.color
     mt_ApplSet(app,APS_WINBG,col,pat,sty,0) // windom.window.bg.color = col
The parameter col is a VDI color index (as used by vsf_color()) The default value is WHITE

short _config::bgpatt

| set the default background pattern of a window drawn by mt_WindClear() Equivalent to the the configuration file variable windom.window.bg.pattern
     mt_ApplSet(app,APS_WINBG,col,pat,sty,0) // windom.window.bg.pattern = pat
The parameter pat is a VDI pattern index between 0 and 3 (as used by vsf_interior()). See documentation of VDI function vsf_interior() for details. The default value is FIS_SOLID

short _config::bgstyle

| set the default background style of a window drawn by mt_WindClear() Equivalent to the the configuration file variable windom.window.bg.style
     mt_ApplSet(app,APS_WINBG,col,pat,sty,0) // windom.window.bg.style = sty
The parameter sty is a VDI style index (as used by vsf_style()). See documentation of VDI function vsf_style() for details. The default value is 8

ATTRIB _config::bubble

| configures the fonts used in bubble GEM Equivalent to the the configuration file variable windom.bubble
    mt_ApplSet(app,APS_BUBBLESTYLE,fontid,size,col,sml) // windom.bubble.font = "Font name"
                                                        // windom.bubble.size = size
The default value is {BLACK, 13}

ATTRIB _config::button

| configures the look of WinDom button (extended objects). Only no EXIT buttons are adressed Equivalent to the the configuration file variable windom.button.*
    mt_ApplSet(app,APS_BUTSTYLE,fontid,size,col,0) // windom.button.font = "Font name"
                                                   // windom.button.size = size
                                                   // windom.button.color = col
The parameter fontid is the GDOS font ID of the font "Font name". The parameter size is the text size in points, and col is an AES color index. The default value is {SYSFONT, 13, BLACK}

ATTRIB _config::exit

| configures the look of WinDom exit button (default buttons in formulars). Equivalent to the the configuration file variable windom.exit
    mt_ApplSet(app,APS_EXITSTYLE,fontid,size,col,0) // windom.exit.font = "Font name"
                                                    // windom.exit.size = size
                                                    // windom.exit.color = col
The parameter fontid is the GDOS font ID of the font "Font name". The parameter size is the text size in points, and col is an AES color index. The default value is {SYSFONT, 13, BLACK}

unsigned short _config::flag

- | various flags (bitmap variable) Equivalent to the the configuration file variable windom.evnt.* flag may have one or more of the following bit set : FLG_KEYMOUSE (equivalent to windom.evnt.keybd) :
       mt_ApplSet(app,APS_FLAG,FLG_KEYMOUSE,0,0,0); // windom.evnt.keybd = front
       mt_ApplSet(app,APS_FLAG,FLG_KEYMOUSE,1,0,0); // windom.evnt.keybd = mouse
- The variable sets the behavior of mt_EvntWindom() with the MU_KEYBD event. The value mouse means that mt_EvntWindom() applies the MU_KEYBD event to the window located under the mouse pointer (standard X11 behavior). The value front means that mt_EvntWindom() applies the MU_KEYBD event to the window in the foreground (standard GEM behavior). FLG_BUTMOUSE (equivalent to windom.evnt.button)
       mt_ApplSet(app,APS_FLAG,FLG_BUTMOUSE,0,0,0) // windom.evnt.button = front
       mt_ApplSet(app,APS_FLAG,FLG_BUTMOUSE,1,0,0) // windom.evnt.button = mouse
- The variable sets the behavior of mt_EvntWindom() with the MU_BUTTON event. The value mouse means that mt_EvntWindom() applies the MU_BUTTON event to the window located under the mouse pointer (standard X11 behavior). The value front means that mt_EvntWindom() applies the MU_BUTTON event to the window in the foreground (standard GEM behavior). FLG_NOPAL (no windom.evnt.* equivalent)
       mt_ApplSet(app,APS_FLAG,FLG_NOPAL,0,0,0) // enable color palet handling
       mt_ApplSet(app,APS_FLAG,FLG_NOPAL,1,0,0) // disbale color palet handling
- This flag is used to disable color palet handling. FLG_MNSCRL (equivalent to windom.menu.scroll)
       mt_ApplSet(app,APS_FLAG,FLG_MNSCRL,0,0,0) // windom.menu.scroll = false
       mt_ApplSet(app,APS_FLAG,FLG_MNSCRL,1,0,0) // windom.menu.scroll = true
- This flag is used to enable menu scroller widget FLG_NOKEYMENU (no windom.evnt.* equivalent)
       mt_ApplSet(app,APS_FLAG,FLG_NOKEYMENU,0,0,0) // enable menu shortcuts handling
       mt_ApplSet(app,APS_FLAG,FLG_NOKEYMENU,1,0,0) // disbale menu shortcuts handling
- This flag is used to disable menu shortcuts handling FLG_NOMGXFSEL (equivalent to windom.fsel.fslx)
       mt_ApplSet(app,APS_FLAG,FLG_NOMGXFSEL,0,0,0) // windom.fsel.fslx = false
       mt_ApplSet(app,APS_FLAG,FLG_NOMGXFSEL,1,0,0) // windom.fsel.fslx = true
- This flag is used to disable MagiC file selector. FLG_MNSYSTEM (equivalent to windom.menu.system)
       mt_ApplSet(app,APS_FLAG,FLG_MNSYSTEM,0,0,0) // windom.menu.system = false
       mt_ApplSet(app,APS_FLAG,FLG_MNSYSTEM,1,0,0) // windom.menu.system = true
A true value let the system handles menu window (if system can do). The default value is 0 (all bits set to 0).

short _config::fwidsize

| Equivalent to the the configuration file variable windom.frame.widget.size.
     mt_ApplSet(app,APS_FRAMEWIDGETSIZE,size,0,0,0) // windom.frame.widget.size = size
The default value is -1

short _config::hicon

| set the height of iconified windows Equivalent to the the configuration file variable windom.evnt.iconify.geometry
     mt_ApplSet(app,APS_ICONSIZE,w,h,0,0) // windom.evnt.iconify.geometry = w,h
The default value is 72 pixels

short _config::key_color

| set the color of keyboard shortcuts Equivalent to the the configuration file variable windom.shortcut.color
     mt_ApplSet(app,APS_KEYCOLOR,col,0,0,0) // windom.shortcut.color = col
The parameter col is a VDI color index, with a special bit LTMFLY_COLOR (0x10) set or unset. This bit LTMFLY_COLOR is no more used by windom. This variable set the color of keyboard shortcut in formulars and toolbars. A keyboard shortcut appears as an underlined letter in a object label. The default value is LTMFLY_COLOR|BLACK

short _config::menu_effect

| configures the flashing effect when the user selects an item in a window menu Equivalent to the the configuration file variable windom.menu.effect
     mt_ApplSet(app,APS_MENUEFFECT,effect,0,0,0) // windom.menu.effect = effect
The parameter effect is the number of flashs or zero (no flashing effect). The default value is 3

short _config::mwidget

| Equivalent to the the configuration file variable windom.mform.widget. see _config::wcenter for details The default value is NAME|MOVER

short _config::popborder

| define the menu popup border size Equivalent to the the configuration file variable windom.popup.border see _config::popcolor for details If a popup is displayed in P_LIST mode, this variable defines the menu popup border size. A negative value means that the border is exterior of the object menu. The default value is 2

short _config::popcolor

| define the menu popup background color Equivalent to the the configuration file variable windom.popup.color
    mt_ApplSet(app,APS_POPUPSTYLE,color,border,fcol,patt) // windom.popup.color = color
                                                          // windom.popup.border = border
                                                          // windom.popup.framec = fcol
                                                          // windom.popup.pattern = patt
This variable _config::popcolor contains the parameter color The variable _config::popborder contains the parameter border The variable _config::popfcolor contains the parameter fcol The variable _config::poppatt contains the parameter patt If a popup is displayed in P_LIST mode, color defines the menu popup background color. The default value is WHITE

short _config::popfcolor

| define the color of menu popup frame Equivalent to the the configuration file variable windom.popup.framec see _config::popcolor for details If a popup is displayed in P_LIST mode, this variable defines the color of menu popup frame The default value is BLACK

short _config::poppatt

| defines the AES pattern of menu popup background Equivalent to the the configuration file variable windom.popup.pattern and windom.popup.relief see _config::popcolor for details If a popup is displayed in P_LIST mode, low word of poppatt defines the pattern of menu popup background. This is the windom.popup.pattern parameter bit 0x100 of poppatt enable the relied effect of the popup form. This is the windom.popup.relief parameter The default value is 0x100

short _config::popwind

| Equivalent to the the configuration file variable windom.popup.window.
     mt_ApplSet(app,APS_POPUPWIND,0,0,0,0) // windom.popup.window = no
     mt_ApplSet(app,APS_POPUPWIND,1,0,0,0) // windom.popup.window = yes
This variable defines if a menu popup is displayed in a modal window and handled by a modal window formular (true value) or if a menu is handled by a classic formular (false value). The default value is DEFVAL

ATTRIB _config::string

| configures the look of WinDom simple object string: underlined text, boxtitle and popup label Equivalent to the the configuration file variable windom.string.*
    mt_ApplSet(app,APS_STRSTYLE,fontid,size,col,0) // windom.string.font = "Font name"
                                                   // windom.string.size = size
                                                   // windom.string.color = col
The parameter fontid is the GDOS font ID of the font "Font name". The parameter size is the text size in points, and col is an AES color index. The default value is {SYSFONT, 13, BLACK}

ATTRIB _config::title

| configures the look of WinDom menu items/title objects Equivalent to the the configuration file variable windom.menu.font, windom.menu.size and windom.menu.col
    mt_ApplSet(app,APS_TITLESTYLE,fontid,size,col,0) // windom.menu.font = "Font name"
                                                     // windom.menu.size = size
                                                     // windom.menu.color = col
The parameter fontid is the GDOS font ID of the font "Font name". The parameter size is the text size in points, and col is an AES color index. The default value is {SYSFONT, 13, BLACK}

char* _config::udlib_filenames

| Equivalent to the the configuration file variable windom.userdef.list.tos or windom.userdef.list depending on MonoTOS is detected or not. windom adds the following path at runtime, depending on monoTOS is detected or not: multitask OS : windom\userdef\userdef.ldg monoTOS : windom\userdef\tos\userdef.ldg The default value is NULL (modified at runtime)

short _config::wcenter

| define how windows and formulars are centered Equivalent to the the configuration file variable windom.window.center
    mt_ApplSet(app,APS_WINDOWS,wcenter,weffect,mwidget,0) // windom.window.center = (1)
                                                          // windom.window.effect = (2)
                                                          // windom.mform.widget = (3)
(1) : the list hereafter make the link between the _config::wcenter variable and the value to put in the config file for windom.window.center in place of the (1) label : CENTER : "screen" (the window is centered in the desktop) WMOUSE : "mouse" (the window is centered around the mouse) UP_LEFT : "upleft" (the window is displayed in the up left corner of the desktop) UP_RIGHT : "upright" (the window is displayed in the up right corner of the desktop) DN_LEFT : "dnleft" (the window is displayed in the down left corner of the desktop) DN_RIGHT : "dnright" (the window is displayed in the down right corner of the desktop) FCENTER : "form" (the window is centered using the form_center() function, this function can be controlled by Let's Them Fly. Using this mode allows you to have forms and windows opened like non WinDom applications.) (2) : this value may be "true" or "false". This is the _config::weffect paramter. This variable defines if a graphic effect is produces when a window is opened or closed. This variable is linked to the WS_GRAFGROW bit of the flags field of window descriptor. (3) is an hexadecimal value (for example "0x0009" without the quotes). That value is the AES window attributes to set for modal formulars. The default value is CENTER

short _config::weffect

| Equivalent to the the configuration file variable windom.window.effect. see _config::wcenter for details The default value is DEFVAL

short _config::wicon

| set the width of iconified windows Equivalent to the the configuration file variable windom.evnt.iconify.geometry
     mt_ApplSet(app,APS_ICONSIZE,w,h,0,0) // windom.evnt.iconify.geometry = w,h
The default value is 72 pixels

short _config::xedit_curs_color

| configures the color of the cursor of XEDIT objects Equivalent to the the configuration file variable windom.xedit.cursor.color
     mt_ApplSet(app,???,col,0,0,0) // windom.xedit.cursor.color = col
At the moment, there is no mode to change that parameter at runtime. col is the color index. The default value is BLACK

ATTRIB _config::xedit_label

| configures the look of WinDom XEDIT objects (label part of the object) Equivalent to the the configuration file variable windom.xedit.label
    mt_ApplSet(app,APS_XEDITLABELSTYLE,fontid,size,col,0) // windom.xedit.label.font = "Font name"
                                                          // windom.xedit.label.size = size
                                                          // windom.xedit.label.color = col
The parameter fontid is the GDOS font ID of the font "Font name". The parameter size is the text size in points, and col is an AES color index. The default value is {SYSFONT, 13, DEFVAL}

ATTRIB _config::xedit_text

| configures the look of WinDom XEDIT objects (editable part of the object) Equivalent to the the configuration file variable windom.xedit.text
    mt_ApplSet(app,APS_XEDITTEXTSTYLE,fontid,size,col,0) // windom.xedit.text.font = "Font name"
                                                         // windom.xedit.text.size = size
                                                         // windom.xedit.text.color = col
The parameter fontid is the GDOS font ID of the font "Font name". The parameter size is the text size in points, and col is an AES color index. The default value is {SYSFONT, 13, DEFVAL}

short _config::xlgedt_smlfnt

| Equivalent to the the configuration file variable windom.xlongedit.smallsize. See _config::xlongedit for details The default value is 8

ATTRIB _config::xlongedit

| Equivalent to the the configuration file variable windom.xlongedit.
    mt_ApplSet(app,APS_XLONGEDITSTYLE,fontid,size,col,sml) // windom.xlongedit.font = "Font name"
                                                           // windom.xlongedit.size = size
                                                           // windom.xlongedit.color = col
                                                           // windom.xlongedit.smallsize = sml
This parameter _config::xlongedit contains the parameters font, size and color. The parameter _config::xlgedt_smlfnt contains the parameters smallsize. The default value is {SYSFONT, 10, DEFVAL}

short _config::xtdinf_smlfnt

| Equivalent to the the configuration file variable windom.xtedinfo.smallsize. See _config::xtedinfo for details The default value is 8

ATTRIB _config::xtedinfo

| Equivalent to the the configuration file variable windom.xtedinfo.
    mt_ApplSet(app,APS_XTEDINFOSTYLE,fontid,size,col,sml) // windom.xtedinfo.font = "Font name"
                                                          // windom.xtedinfo.size = size
                                                          // windom.xtedinfo.color = col
                                                          // windom.xtedinfo.smallsize = sml
This parameter _config::xtedinfo contains the parameters font, size and color. The parameter _config::xtdinf_smlfnt contains the parameters smallsize. The default value is {SYSFONT, 10, DEFVAL}

The documentation for this struct was generated from the following file:

- globals.h